=== examples/CMakeLists.txt ===
add_subdirectory(connection_colors)

add_subdirectory(example2)

add_subdirectory(calculator)

add_subdirectory(images)

add_subdirectory(styles)

add_subdirectory(ff)

add_subdirectory(state_machine)
