## qnodeeditor 2.1.5+ds1

=== debian/changelog ===
qnodeeditor (2.1.5+ds1-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Feb 2020 01:07:28 -0500
