=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := 5

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing
