## qnodeeditor 2.1.7

=== debian/changelog ===
qnodeeditor (2.1.7-1) unstable; urgency=medium

  [ Guobang Bi ]
  * New upstream release 2.1.7.

  [ Boyuan Yang ]
  * Switch to actively-maintained fork.
  * debian/control:
    + Use cmake instead of qmake following upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 May 2020 20:51:14 -0400
