=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qnodeeditor-$1.tar.gz%" \
 https://github.com/Qv2ray/QNodeEditor/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
